@echo off
rem Electron 2022 update http / To test the transmission FTPs and HTTPs
rem version 1.0 17 mai 2022 Luc BLAREL LOA ULILLE/CNRS (luc.blarel@univ-lille.fr)
setlocal EnableDelayedExpansion
set pathcurlw7=

rem determination de la version de win7
rem ver_2000
ver | findstr /i "5\.0\." > nul
IF %ERRORLEVEL% EQU 0 ( set pathcurlw7=C:\photo-dt\FTP-HTTP-ph\curl-win7\)
rem ver_XP
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 ( set pathcurlw7=C:\photo-dt\FTP-HTTP-ph\curl-win7\)
rem ver_2003 
ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 ( set pathcurlw7=C:\photo-dt\FTP-HTTP-ph\curl-win7\)
rem ver_Vista
ver | findstr /i "6\.0\." > nul
IF %ERRORLEVEL% EQU 0 ( set pathcurlw7=C:\photo-dt\FTP-HTTP-ph\curl-win7\)
rem ver_Win7
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 ( set pathcurlw7=C:\photo-dt\FTP-HTTP-ph\curl-win7\)


echo.> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo.>> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo.>> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo.>> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo Start of the test >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo Date test : %date% %time% >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
ver >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo pathcurlw7 ^= %pathcurlw7% >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt

rem determination de la version de win7


:debut
cd %~dp0
rem test presence de fichier .k7
cd C:\photo-dt\base\aenvoyer
IF EXIST C:\photo-dt\base\aenvoyer\*-info.txt GOTO OUI

rem synchro
cd C:\photo-dt
rem Pour synchroniser sur GPS---
SyncGPS2n.exe
:OUI
for /f %%a in ('dir *-info.txt /B') do (echo %%~fa>C:\photo-dt\base\repdir.txt)
rem ---------------------------

rem envoi FTP/HTTP
cd %~dp0
set tpt=ftp

for /f "delims=" %%b in (C:\photo-dt\base\repdir.txt) do (
rem envoi via curl/FTP
echo Start to !tpt! %pathcurlw7% >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
IF !tpt!==ftp (
	%pathcurlw7%curl -s -T %%b --user "phdata:wolf59_alibi" --ftp-ssl ftp.photons.univ-lille.fr/PHDATA/FTP/ 
	)
echo Error -ftp- ^= !errorlevel! >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
if !errorlevel! NEQ 0 ( 
		echo Ftp transfer via ftp.photons.univ-lille.fr doesn't work >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
      ) else ( echo Ftp transfer via ftp.photons.univ-lille.fr works. The file transmited %%b. >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt)
set tpt=http

echo. >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo ------------------ >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo Start to !tpt! %pathcurlw7% >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
rem 2eme chance via curl/http
IF !tpt!==http (
	%pathcurlw7%curl --form uploaded_file=@%%b --form submit=Submit%20file https://ftp.photons.univ-lille.fr/photometers/upload.php 
	)
echo Error -http- ^= !errorlevel! >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
if !errorlevel! NEQ 0 ( 
		echo Http transfer via https://ftp.photons.univ-lille.fr/photometers/upload.php doesn't work. >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
      ) else ( echo Http transfer via https://ftp.photons.univ-lille.fr/photometers/upload.php works. The file transmited %%b. >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt )


)


echo. >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
echo End of the test >> C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt

type C:\photo-dt\FTP-HTTP-ph\FTP-HTTP-TEST.txt
pause
